Index: svn/src/pc80/i8259.c
===================================================================
--- svn.orig/src/pc80/i8259.c
+++ svn/src/pc80/i8259.c
@@ -113,26 +113,26 @@ void i8259_configure_irq_trigger(int int
 {
 	u16 int_bits = inb(ELCR1) | (((u16)inb(ELCR2)) << 8);
 
-	printk(BIOS_SPEW, "%s: current interrupts are 0x%x\n", __func__, int_bits);
+	printk(SPEW, "%s: current interrupts are 0x%x\n", __func__, int_bits);
 	if (is_level_triggered)
 		int_bits |= (1 << int_num);
 	else
 		int_bits &= ~(1 << int_num);
 
 	/* Write new values */
-	printk(BIOS_SPEW, "%s: try to set interrupts 0x%x\n", __func__, int_bits);
+	printk(SPEW, "%s: try to set interrupts 0x%x\n", __func__, int_bits);
 	outb((u8)(int_bits & 0xff), ELCR1);
 	outb((u8)(int_bits >> 8), ELCR2);
 
 #ifdef PARANOID_IRQ_TRIGGERS
 	/* Try reading back the new values. This seems like an error but is not ... */
 	if (inb(ELCR1) != (int_bits & 0xff)) {
-		printk(BIOS_ERR, "%s: lower order bits are wrong: want 0x%x, got 0x%x\n",
+		printk(ERROR, "%s: lower order bits are wrong: want 0x%x, got 0x%x\n",
 				__func__, (int_bits & 0xff), inb(ELCR1));
 	}
 
 	if (inb(ELCR2) != (int_bits >> 8)) {
-		printk(BIOS_ERR, "%s: higher order bits are wrong: want 0x%x, got 0x%x\n",
+		printk(ERROR, "%s: higher order bits are wrong: want 0x%x, got 0x%x\n",
 				__func__, (int_bits>>8), inb(ELCR2));
 	}
 #endif
Index: svn/src/pc80/keyboard.c
===================================================================
--- svn.orig/src/pc80/keyboard.c
+++ svn/src/pc80/keyboard.c
@@ -71,7 +71,7 @@ static int kbc_input_buffer_empty(void)
 	}
 
 	if (!timeout) {
-		printk(BIOS_WARNING, "Unexpected Keyboard controller input buffer full\n");
+		printk(WARNING, "Unexpected Keyboard controller input buffer full\n");
 	}
 	return !!timeout;
 }
@@ -85,7 +85,7 @@ static int kbc_output_buffer_full(void)
 	}
 
 	if (!timeout) {
-		printk(BIOS_INFO, "Keyboard controller output buffer result timeout\n");
+		printk(INFO, "Keyboard controller output buffer result timeout\n");
 	}
 	return !!timeout;
 }
@@ -100,8 +100,8 @@ static int kbc_cleanup_buffers(void)
 	}
 
 	if (!timeout) {
-		printk(BIOS_ERR, "Couldn't cleanup the keyboard controller buffers\n");
-		printk(BIOS_ERR, "Status (0x%x): 0x%x, Buffer (0x%x): 0x%x\n",
+		printk(ERROR, "Couldn't cleanup the keyboard controller buffers\n");
+		printk(ERROR, "Status (0x%x): 0x%x, Buffer (0x%x): 0x%x\n",
 				KBD_STATUS, inb(KBD_STATUS), KBD_DATA, inb(KBD_DATA));
 	}
 
@@ -123,7 +123,7 @@ static int kbc_self_test(void)
 
 	if (!kbc_output_buffer_full()) {
 		/* There probably is no keyboard controller. */
-		printk(BIOS_ERR, "Could not reset keyboard controller.\n");
+		printk(ERROR, "Could not reset keyboard controller.\n");
 		return 0;
 	}
 
@@ -131,7 +131,7 @@ static int kbc_self_test(void)
 	self_test = inb(KBD_DATA);
 
 	if (self_test != 0x55) {
-		printk(BIOS_ERR, "Keyboard Controller self-test failed: 0x%x\n",
+		printk(ERROR, "Keyboard Controller self-test failed: 0x%x\n",
 				self_test);
 		return 0;
 	}
@@ -148,7 +148,7 @@ static u8 send_keyboard(u8 command)
 		if (!kbc_input_buffer_empty()) return 0;
 		outb(command, KBD_DATA);
 		if (!kbc_output_buffer_full()) {
-			printk(BIOS_ERR, "Could not send keyboard command %02x\n",
+			printk(ERROR, "Could not send keyboard command %02x\n",
 					command);
 			return 0;
 		}
@@ -162,7 +162,7 @@ static u8 send_keyboard(u8 command)
 void pc_keyboard_init(struct pc_keyboard *keyboard)
 {
 	u8 regval;
-	printk(BIOS_DEBUG, "Keyboard init...\n");
+	printk(DEBUG, "Keyboard init...\n");
 
 	/* Run a keyboard controller self-test */
 	if (!kbc_self_test())
@@ -174,7 +174,7 @@ void pc_keyboard_init(struct pc_keyboard
 	if (!kbc_input_buffer_empty()) return;
 	outb(0x20, KBD_DATA);	/* send cmd: enable keyboard */
 	if (!kbc_input_buffer_empty()) {
-		printk(BIOS_INFO, "Timeout while enabling keyboard\n");
+		printk(INFO, "Timeout while enabling keyboard\n");
 		return;
 	}
 
@@ -185,23 +185,23 @@ void pc_keyboard_init(struct pc_keyboard
 	regval = send_keyboard(0xFF);
 	if (regval == KBD_REPLY_RESEND) {
 		/* keeps sending RESENDs, probably no keyboard. */
-		printk(BIOS_INFO, "No PS/2 keyboard detected.\n");
+		printk(INFO, "No PS/2 keyboard detected.\n");
 		return;
 	}
 
 	if (regval != KBD_REPLY_ACK) {
-		printk(BIOS_ERR, "Keyboard selftest failed ACK: 0x%x\n", regval);
+		printk(ERROR, "Keyboard selftest failed ACK: 0x%x\n", regval);
 		return;
 	}
 
 	if (!kbc_output_buffer_full()) {
-		printk(BIOS_ERR, "Timeout waiting for keyboard after reset.\n");
+		printk(ERROR, "Timeout waiting for keyboard after reset.\n");
 		return;
 	}
 
 	regval = inb(KBD_DATA);
 	if (regval != 0xAA) {
-		printk(BIOS_ERR, "Keyboard selftest failed: 0x%x\n", regval);
+		printk(ERROR, "Keyboard selftest failed: 0x%x\n", regval);
 		return;
 	}
 
@@ -213,27 +213,27 @@ void pc_keyboard_init(struct pc_keyboard
 	/* disable the keyboard */
 	regval = send_keyboard(0xF5);
 	if (regval != KBD_REPLY_ACK) {
-		printk(BIOS_ERR, "Keyboard disable failed ACK: 0x%x\n", regval);
+		printk(ERROR, "Keyboard disable failed ACK: 0x%x\n", regval);
 		return;
 	}
 
 	/* Set scancode command */
 	regval = send_keyboard(0xF0);
 	if (regval != KBD_REPLY_ACK) {
-		printk(BIOS_ERR, "Keyboard set scancode cmd failed ACK: 0x%x\n", regval);
+		printk(ERROR, "Keyboard set scancode cmd failed ACK: 0x%x\n", regval);
 		return;
 	}
 	/* Set scancode mode 2 */
 	regval = send_keyboard(0x02);
 	if (regval != KBD_REPLY_ACK) {
-		printk(BIOS_ERR, "Keyboard set scancode mode failed ACK: 0x%x\n", regval);
+		printk(ERROR, "Keyboard set scancode mode failed ACK: 0x%x\n", regval);
 		return;
 	}
 
 	/* enable the keyboard */
 	regval = send_keyboard(0xF4);
 	if (regval != KBD_REPLY_ACK) {
-		printk(BIOS_ERR, "Keyboard enable failed ACK: 0x%x\n", regval);
+		printk(ERROR, "Keyboard enable failed ACK: 0x%x\n", regval);
 		return;
 	}
 
@@ -243,7 +243,7 @@ void pc_keyboard_init(struct pc_keyboard
 	if (!kbc_input_buffer_empty()) return;
 	outb(0x61, KBD_DATA);	/* send cmd: enable keyboard and IRQ 1 */
 	if (kbc_output_buffer_full()) {
-		printk(BIOS_ERR, "Timeout during final keyboard enable\n");
+		printk(ERROR, "Timeout during final keyboard enable\n");
 		return;
 	}
 }
Index: svn/src/pc80/mc146818rtc.c
===================================================================
--- svn.orig/src/pc80/mc146818rtc.c
+++ svn/src/pc80/mc146818rtc.c
@@ -143,7 +143,7 @@ void rtc_init(int invalid)
 	int cmos_invalid, checksum_invalid;
 #endif
 
-	printk(BIOS_DEBUG, "RTC Init\n");
+	printk(DEBUG, "RTC Init\n");
 
 #if CONFIG_HAVE_OPTION_TABLE
 	/* See if there has been a CMOS power problem. */
@@ -155,7 +155,7 @@ void rtc_init(int invalid)
 			PC_CKS_RANGE_END,PC_CKS_LOC);
 
 	if (invalid || cmos_invalid || checksum_invalid) {
-		printk(BIOS_WARNING, "RTC:%s%s%s zeroing cmos\n",
+		printk(WARNING, "RTC:%s%s%s zeroing cmos\n",
 			invalid?" Clear requested":"", 
 			cmos_invalid?" Power Problem":"",
 			checksum_invalid?" Checksum invalid":"");
@@ -191,7 +191,7 @@ void rtc_init(int invalid)
 	checksum_invalid = !rtc_checksum_valid(LB_CKS_RANGE_START,
 			LB_CKS_RANGE_END,LB_CKS_LOC);
 	if(checksum_invalid)
-		printk(BIOS_DEBUG, "Invalid CMOS LB checksum\n");
+		printk(DEBUG, "Invalid CMOS LB checksum\n");
 
 	/* Make certain we have a valid checksum */
 	rtc_set_checksum(PC_CKS_RANGE_START,
@@ -260,7 +260,7 @@ int get_option(void *dest, const char *n
 		}
 	}
 	if(!found) {
-		printk(BIOS_DEBUG, "WARNING: No CMOS option '%s'.\n", name);
+		printk(DEBUG, "WARNING: No CMOS option '%s'.\n", name);
 		return(-2);
 	}
 	
Index: svn/src/southbridge/amd/amd8111/amd8111_acpi.c
===================================================================
--- svn.orig/src/southbridge/amd/amd8111/amd8111_acpi.c
+++ svn/src/southbridge/amd/amd8111/amd8111_acpi.c
@@ -79,7 +79,7 @@ static void acpi_init(struct device *dev
 
 #if 0
 	uint16_t word;
-	printk(BIOS_DEBUG, "ACPI: disabling NMI watchdog.. ");
+	printk(DEBUG, "ACPI: disabling NMI watchdog.. ");
 	byte = pci_read_config8(dev, 0x49);
 	pci_write_config8(dev, 0x49, byte | (1<<2));
 
@@ -91,13 +91,13 @@ static void acpi_init(struct device *dev
 	byte = pci_read_config8(dev, 0x48);
 	pci_write_config8(dev, 0x48, byte | (1<<3));
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 
 
-	printk(BIOS_DEBUG, "ACPI: Routing IRQ 12 to PS2 port.. ");
+	printk(DEBUG, "ACPI: Routing IRQ 12 to PS2 port.. ");
 	word = pci_read_config16(dev, 0x46);
 	pci_write_config16(dev, 0x46, word | (1<<9));
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 #endif
 
 	/* To enable the register 0xcf9 in the IO space
@@ -119,7 +119,7 @@ static void acpi_init(struct device *dev
 		byte |= 0x40;
 	}
 	pci_write_config8(dev, PREVIOUS_POWER_STATE, byte);
-	printk(BIOS_INFO, "set power %s after power fail\n", on?"on":"off");
+	printk(INFO, "set power %s after power fail\n", on?"on":"off");
 
 	/* switch serial irq logic from quiet mode to continuous
 	 * mode for Winbond W83627HF Rev. 17
@@ -135,13 +135,13 @@ static void acpi_init(struct device *dev
 		outl(((on<<1)+0x10)  ,(pm10_bar + 0x10));
 		dword = inl(pm10_bar + 0x10);
 		on = 8-on;
-		printk(BIOS_DEBUG, "Throttling CPU %2d.%1.1d percent.\n",
+		printk(DEBUG, "Throttling CPU %2d.%1.1d percent.\n",
 				(on*12)+(on>>1),(on&1)*5);
 	}
 
 #if CONFIG_GENERATE_ACPI_TABLES == 1
 	pm_base = pci_read_config16(dev, 0x58) & 0xff00;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n",pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n",pm_base);
 #endif
 
 }
Index: svn/src/southbridge/amd/amd8111/amd8111_ide.c
===================================================================
--- svn.orig/src/southbridge/amd/amd8111/amd8111_ide.c
+++ svn/src/southbridge/amd/amd8111/amd8111_ide.c
@@ -19,12 +19,12 @@ static void ide_init(struct device *dev)
 	if (conf->ide1_enable) {
 		/* Enable secondary ide interface */
 		word |= (1<<0);
-		printk(BIOS_DEBUG, "IDE1 ");
+		printk(DEBUG, "IDE1 ");
 	}
 	if (conf->ide0_enable) {
 		/* Enable primary ide interface */
 		word |= (1<<1);
-		printk(BIOS_DEBUG, "IDE0 ");
+		printk(DEBUG, "IDE0 ");
 	}
 
 	word |= (1<<12);
Index: svn/src/southbridge/amd/amd8111/amd8111_lpc.c
===================================================================
--- svn.orig/src/southbridge/amd/amd8111/amd8111_lpc.c
+++ svn/src/southbridge/amd/amd8111/amd8111_lpc.c
@@ -22,7 +22,7 @@ static void enable_hpet(struct device *d
 	
 	pci_write_config32(dev,0xa0, 0xfed00001);
 	hpet_address = pci_read_config32(dev,0xa0)& 0xfffffffe;
-	printk(BIOS_DEBUG, "enabling HPET @0x%lx\n", hpet_address);
+	printk(DEBUG, "enabling HPET @0x%lx\n", hpet_address);
 	
 }
 
Index: svn/src/southbridge/amd/amd8111/amd8111_nic.c
===================================================================
--- svn.orig/src/southbridge/amd/amd8111/amd8111_nic.c
+++ svn/src/southbridge/amd/amd8111/amd8111_nic.c
@@ -52,7 +52,7 @@ static void nic_init(struct device *dev)
 	mmio = resource->base;
 
 	/* Hard Reset PHY */
-	printk(BIOS_DEBUG, "Reseting PHY... ");
+	printk(DEBUG, "Reseting PHY... ");
 	if (conf->phy_lowreset) {
 		write32((mmio + CMD3), VAL0 | PHY_RST_POL | RESET_PHY);
 	} else {
@@ -60,7 +60,7 @@ static void nic_init(struct device *dev)
 	}
 	mdelay(15);
 	write32((mmio + CMD3), RESET_PHY);
-	printk(BIOS_DEBUG, "Done\n");
+	printk(DEBUG, "Done\n");
 }
 
 static void lpci_set_subsystem(device_t dev, unsigned vendor, unsigned device)
Index: svn/src/southbridge/amd/amd8111/amd8111_usb2.c
===================================================================
--- svn.orig/src/southbridge/amd/amd8111/amd8111_usb2.c
+++ svn/src/southbridge/amd/amd8111/amd8111_usb2.c
@@ -26,7 +26,7 @@ static void amd8111_usb2_enable(device_t
 	// Due to buggy USB2 we force it to disable. 
 	dev->enabled = 0;
 	amd8111_enable(dev);
-	printk(BIOS_DEBUG, "USB2 disabled.\n");
+	printk(DEBUG, "USB2 disabled.\n");
 }
 
 static struct device_operations usb2_ops  = {
Index: svn/src/southbridge/amd/amd8131/amd8131_bridge.c
===================================================================
--- svn.orig/src/southbridge/amd/amd8131/amd8131_bridge.c
+++ svn/src/southbridge/amd/amd8131/amd8131_bridge.c
@@ -83,7 +83,7 @@ static void amd8131_pcix_tune_dev(device
 	}
 
 
-	printk(BIOS_DEBUG, "%s AMD8131 PCI-X tuning\n", dev_path(dev));
+	printk(DEBUG, "%s AMD8131 PCI-X tuning\n", dev_path(dev));
 	status = pci_read_config32(dev, cap + PCI_X_STATUS);
 	orig_cmd = cmd = pci_read_config16(dev,cap + PCI_X_CMD);
 
@@ -170,7 +170,7 @@ static void amd8131_pcix_tune_dev(device
 		}
 	}
 #if 0
-	printk(BIOS_DEBUG, "%s max_read: %d max_tran: %d sibs: %d sib_funcs: %d\n",
+	printk(DEBUG, "%s max_read: %d max_tran: %d sibs: %d sib_funcs: %d\n",
 		dev_path(dev), max_read, max_tran, sibs, sib_funcs, sib_funcs);
 #endif
 	if (max_read != ((cmd & PCI_X_CMD_MAX_READ) >> 2)) {
@@ -214,7 +214,7 @@ static unsigned int amd8131_scan_bus(str
 	info.sstatus = pci_read_config16(bus->dev, pos + PCI_X_SEC_STATUS);
 
 	/* Print the PCI-X bus speed */
-	printk(BIOS_DEBUG, "PCI: %02x: %s\n", bus->secondary, pcix_speed(info.sstatus));
+	printk(DEBUG, "PCI: %02x: %s\n", bus->secondary, pcix_speed(info.sstatus));
 
 
 	/* Examine the bus and find out how loaded it is */
@@ -260,7 +260,7 @@ static unsigned int amd8131_scan_bus(str
 	 * implement relaxed ordering.  Errata #58
 	 */
 	for(pbus = bus; !pbus->disable_relaxed_ordering; pbus = pbus->dev->bus) {
-		printk(BIOS_SPEW, "%s disabling relaxed ordering\n",
+		printk(SPEW, "%s disabling relaxed ordering\n",
 			bus_path(pbus));
 		pbus->disable_relaxed_ordering = 1;
 	}
Index: svn/src/southbridge/amd/amd8132/amd8132_bridge.c
===================================================================
--- svn.orig/src/southbridge/amd/amd8132/amd8132_bridge.c
+++ svn/src/southbridge/amd/amd8132/amd8132_bridge.c
@@ -107,7 +107,7 @@ static void amd8132_pcix_tune_dev(device
 	/* How many siblings does this device have? */
 	sibs = info->master_devices - 1;
 
-	printk(BIOS_DEBUG, "%s AMD8132 PCI-X tuning\n", dev_path(dev));
+	printk(DEBUG, "%s AMD8132 PCI-X tuning\n", dev_path(dev));
 	status = pci_read_config32(dev, cap + PCI_X_STATUS);
 	orig_cmd = cmd = pci_read_config16(dev,cap + PCI_X_CMD);
 
@@ -177,7 +177,7 @@ static unsigned int amd8132_scan_bus(str
 	info.sstatus = pci_read_config16(bus->dev, pos + PCI_X_SEC_STATUS);
 
 	/* Print the PCI-X bus speed */
-	printk(BIOS_DEBUG, "PCI: %02x: %s sstatus=%04x rev=%02x \n", bus->secondary, pcix_speed(info.sstatus), info.sstatus, info.rev);
+	printk(DEBUG, "PCI: %02x: %s sstatus=%04x rev=%02x \n", bus->secondary, pcix_speed(info.sstatus), info.sstatus, info.rev);
 
 
 	/* Examine the bus and find out how loaded it is */
Index: svn/src/southbridge/amd/cs5530/cs5530_ide.c
===================================================================
--- svn.orig/src/southbridge/amd/cs5530/cs5530_ide.c
+++ svn/src/southbridge/amd/cs5530/cs5530_ide.c
@@ -55,9 +55,9 @@ static void ide_init(struct device *dev)
 
 	pci_write_config8(dev, DECODE_CONTROL_REG2, reg8);
 
-	printk(BIOS_INFO, "%s IDE interface %s\n", "Primary",
+	printk(INFO, "%s IDE interface %s\n", "Primary",
 		    conf->ide0_enable ? "enabled" : "disabled");
-	printk(BIOS_INFO, "%s IDE interface %s\n", "Secondary",
+	printk(INFO, "%s IDE interface %s\n", "Secondary",
 		    conf->ide1_enable ? "enabled" : "disabled");
 }
 
Index: svn/src/southbridge/amd/cs5530/cs5530_vga.c
===================================================================
--- svn.orig/src/southbridge/amd/cs5530/cs5530_vga.c
+++ svn/src/southbridge/amd/cs5530/cs5530_vga.c
@@ -460,7 +460,7 @@ static void cs5530_vga_init(device_t dev
 	gx_base = GX_BASE;
 	mode = modes[CONFIG_GX1_VIDEOMODE];
 
-	printk(BIOS_DEBUG, "Setting up video mode %dx%d with %d Hz clock\n",
+	printk(DEBUG, "Setting up video mode %dx%d with %d Hz clock\n",
 		mode->visible_pixel, mode->visible_lines, mode->pixel_clock);
 
 	cs5530_set_clock_frequency(io_base, mode->pll_value);
Index: svn/src/southbridge/amd/cs5535/cs5535.c
===================================================================
--- svn.orig/src/southbridge/amd/cs5535/cs5535.c
+++ svn/src/southbridge/amd/cs5535/cs5535.c
@@ -39,14 +39,14 @@ static void nvram_on(struct device *dev)
 
 	*flash = 0xf0;
 
-	printk(BIOS_DEBUG, "Flash device: MFGID %02x, DEVID %02x\n", id1, id2);
+	printk(DEBUG, "Flash device: MFGID %02x, DEVID %02x\n", id1, id2);
 #endif
 }
 
 	
 static void southbridge_init(struct device *dev)
 {
-	printk(BIOS_SPEW, "cs5535: %s\n", __func__);
+	printk(SPEW, "cs5535: %s\n", __func__);
 	nvram_on(dev);
 }
 
@@ -56,17 +56,17 @@ static void dump_south(struct device *de
 	int i, j;
 
 	for(i=0; i<256; i+=16) {
-		printk(BIOS_DEBUG, "0x%02x: ", i);
+		printk(DEBUG, "0x%02x: ", i);
 		for(j=0; j<16; j++)
-			printk(BIOS_DEBUG, "%02x ", pci_read_config8(dev, i+j));
-		printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "%02x ", pci_read_config8(dev, i+j));
+		printk(DEBUG, "\n");
 	}
 }
 */
 
 static void southbridge_enable(struct device *dev)
 {
-	printk(BIOS_SPEW, "%s: dev is %p\n", __func__, dev);
+	printk(SPEW, "%s: dev is %p\n", __func__, dev);
 }
 
 static void cs5535_read_resources(device_t dev)
@@ -89,7 +89,7 @@ static void cs5535_read_resources(device
 
 static void cs5535_pci_dev_enable_resources(device_t dev)
 {
-	printk(BIOS_SPEW, "cs5535.c: %s()\n", __func__);
+	printk(SPEW, "cs5535.c: %s()\n", __func__);
 	pci_dev_enable_resources(dev);
 	enable_childrens_resources(dev);
 }
Index: svn/src/southbridge/amd/cs5535/cs5535_ide.c
===================================================================
--- svn.orig/src/southbridge/amd/cs5535/cs5535_ide.c
+++ svn/src/southbridge/amd/cs5535/cs5535_ide.c
@@ -7,12 +7,12 @@
 
 static void ide_init(struct device *dev)
 {
-	printk(BIOS_SPEW, "cs5535_ide: %s\n", __func__);
+	printk(SPEW, "cs5535_ide: %s\n", __func__);
 }
 
 static void ide_enable(struct device *dev)
 {
-	printk(BIOS_SPEW, "cs5535_ide: %s\n", __func__);
+	printk(SPEW, "cs5535_ide: %s\n", __func__);
 }
 
 static struct device_operations ide_ops = {
Index: svn/src/southbridge/amd/cs5536/cs5536.c
===================================================================
--- svn.orig/src/southbridge/amd/cs5536/cs5536.c
+++ svn/src/southbridge/amd/cs5536/cs5536.c
@@ -155,10 +155,10 @@ static void ChipsetFlashSetup(void)
 	int i;
 	int numEnabled = 0;
 
-	printk(BIOS_DEBUG, "ChipsetFlashSetup: Start\n");
+	printk(DEBUG, "ChipsetFlashSetup: Start\n");
 	for (i = 0; i < FlashInitTableLen; i++) {
 		if (FlashInitTable[i].fType != FLASH_TYPE_NONE) {
-			printk(BIOS_DEBUG, "Enable CS%d\n", i);
+			printk(DEBUG, "Enable CS%d\n", i);
 			/* we need to configure the memory/IO mask */
 			msr = rdmsr(FlashPort[i]);
 			msr.hi = 0;	/* start with the "enabled" bit clear */
@@ -171,14 +171,14 @@ static void ChipsetFlashSetup(void)
 			else
 				msr.hi &= ~0x00000004;
 			msr.hi |= FlashInitTable[i].fMask;
-			printk(BIOS_DEBUG, "MSR(0x%08X, %08X_%08X)\n", FlashPort[i],
+			printk(DEBUG, "MSR(0x%08X, %08X_%08X)\n", FlashPort[i],
 				     msr.hi, msr.lo);
 			wrmsr(FlashPort[i], msr);
 
 			/* now write-enable the device */
 			msr = rdmsr(MDD_NORF_CNTRL);
 			msr.lo |= (1 << i);
-			printk(BIOS_DEBUG, "MSR(0x%08X, %08X_%08X)\n", MDD_NORF_CNTRL,
+			printk(DEBUG, "MSR(0x%08X, %08X_%08X)\n", MDD_NORF_CNTRL,
 				     msr.hi, msr.lo);
 			wrmsr(MDD_NORF_CNTRL, msr);
 
@@ -187,7 +187,7 @@ static void ChipsetFlashSetup(void)
 		}
 	}
 
-	printk(BIOS_DEBUG, "ChipsetFlashSetup: Finish\n");
+	printk(DEBUG, "ChipsetFlashSetup: Finish\n");
 
 }
 
@@ -268,13 +268,13 @@ static void uarts_init(struct southbridg
 			PCI_DEVICE_ID_AMD_CS5536_ISA, 0);
 	gpio_addr = pci_read_config32(dev, PCI_BASE_ADDRESS_1);
 	gpio_addr &= ~1;	/* Clear I/O bit */
-	printk(BIOS_DEBUG, "GPIO_ADDR: %08X\n", gpio_addr);
+	printk(DEBUG, "GPIO_ADDR: %08X\n", gpio_addr);
 
 	/* This could be extended to support IR modes. */
 
 	/* COM1 */
 	if (sb->com1_enable) {
-		printk(BIOS_SPEW, "uarts_init: enable COM1\n");
+		printk(SPEW, "uarts_init: enable COM1\n");
 		/* Set the address. */
 		switch (sb->com1_address) {
 		case 0x3F8:
@@ -325,7 +325,7 @@ static void uarts_init(struct southbridg
 		wrmsr(MDD_UART1_CONF, msr);
 	} else {
 		/* Reset and disable COM1. */
-		printk(BIOS_SPEW, "uarts_init: disable COM1\n");
+		printk(SPEW, "uarts_init: disable COM1\n");
 		msr = rdmsr(MDD_UART1_CONF);
 		msr.lo = 1;			/* Reset */
 		wrmsr(MDD_UART1_CONF, msr);
@@ -340,7 +340,7 @@ static void uarts_init(struct southbridg
 
 	/* COM2 */
 	if (sb->com2_enable) {
-		printk(BIOS_SPEW, "uarts_init: enable COM2\n");
+		printk(SPEW, "uarts_init: enable COM2\n");
 		switch (sb->com2_address) {
 		case 0x3F8:
 			addr = 7;
@@ -358,13 +358,13 @@ static void uarts_init(struct southbridg
 		msr = rdmsr(MDD_LEG_IO);
 		msr.lo |= addr << 20;
 		wrmsr(MDD_LEG_IO, msr);
-		printk(BIOS_SPEW, "uarts_init: wrote COM2 address 0x%x\n", sb->com2_address);
+		printk(SPEW, "uarts_init: wrote COM2 address 0x%x\n", sb->com2_address);
 
 		/* Set the IRQ. */
 		msr = rdmsr(MDD_IRQM_YHIGH);
 		msr.lo |= sb->com2_irq << 28;
 		wrmsr(MDD_IRQM_YHIGH, msr);
-		printk(BIOS_SPEW, "uarts_init: set COM2 irq\n");
+		printk(SPEW, "uarts_init: set COM2 irq\n");
 
 		/* GPIO3 - UART2_RX */
 		/* Set: Input Enable (0x20) */
@@ -375,15 +375,15 @@ static void uarts_init(struct southbridg
 		/* GPIO4 - UART2_TX */
 		/* Set: Output Enable (0x4) */
 		outl(GPIOL_4_SET, gpio_addr + GPIOL_OUTPUT_ENABLE);
-		printk(BIOS_SPEW, "uarts_init: set output enable\n");
+		printk(SPEW, "uarts_init: set output enable\n");
 		/* Set: OUTAUX1 Select (0x10) */
 		outl(GPIOL_4_SET, gpio_addr + GPIOL_OUT_AUX1_SELECT);
-		printk(BIOS_SPEW, "uarts_init: set OUTAUX1\n");
+		printk(SPEW, "uarts_init: set OUTAUX1\n");
 
 		/* Set: GPIO 3 + 4 Pull Up (0x18) */
 		outl(GPIOL_3_SET | GPIOL_4_SET,
 		     gpio_addr + GPIOL_PULLUP_ENABLE);
-		printk(BIOS_SPEW, "uarts_init: set pullup COM2\n");
+		printk(SPEW, "uarts_init: set pullup COM2\n");
 
 		/* Enable COM2.
 		 *
@@ -393,9 +393,9 @@ static void uarts_init(struct southbridg
 		msr.lo = (1 << 4) | (1 << 1);
 		msr.hi = 0;
 		wrmsr(MDD_UART2_CONF, msr);
-		printk(BIOS_SPEW, "uarts_init: COM2 enabled\n");
+		printk(SPEW, "uarts_init: COM2 enabled\n");
 	} else {
-		printk(BIOS_SPEW, "uarts_init: disable COM2\n");
+		printk(SPEW, "uarts_init: disable COM2\n");
 		/* Reset and disable COM2. */
 		msr = rdmsr(MDD_UART2_CONF);
 		msr.lo = 1;			/* Reset */
@@ -566,7 +566,7 @@ void chipsetinit(void)
 	}
 
 	/*      Flash BAR size Setup */
-	printk(BIOS_ERR, "%sDoing ChipsetFlashSetup()\n",
+	printk(ERROR, "%sDoing ChipsetFlashSetup()\n",
 		   sb->enable_ide_nand_flash == 1 ? "" : "Not ");
 	if (sb->enable_ide_nand_flash == 1)
 		ChipsetFlashSetup();
@@ -594,7 +594,7 @@ static void southbridge_init(struct devi
 	 * unsigned short gpiobase = MDD_GPIO;
 	 */
 
-	printk(BIOS_ERR, "cs5536: %s\n", __func__);
+	printk(ERROR, "cs5536: %s\n", __func__);
 	setup_i8259();
 	lpc_init(sb);
 	uarts_init(sb);
@@ -606,7 +606,7 @@ static void southbridge_init(struct devi
 			(sb->enable_gpio_int_route >> 16));
 	}
 
-	printk(BIOS_ERR, "cs5536: %s: enable_ide_nand_flash is %d\n", __func__,
+	printk(ERROR, "cs5536: %s: enable_ide_nand_flash is %d\n", __func__,
 		   sb->enable_ide_nand_flash);
 	if (sb->enable_ide_nand_flash == 1) {
 		enable_ide_nand_flash_header();
@@ -616,7 +616,7 @@ static void southbridge_init(struct devi
 
 	/* disable unwanted virtual PCI devices */
 	for (i = 0; (i < MAX_UNWANTED_VPCI) && (0 != sb->unwanted_vpci[i]); i++) {
-		printk(BIOS_DEBUG, "Disabling VPCI device: 0x%08X\n",
+		printk(DEBUG, "Disabling VPCI device: 0x%08X\n",
 			     sb->unwanted_vpci[i]);
 		outl(sb->unwanted_vpci[i] + 0x7C, 0xCF8);
 		outl(0xDEADBEEF, 0xCFC);
@@ -644,13 +644,13 @@ static void cs5536_read_resources(device
 
 static void southbridge_enable(struct device *dev)
 {
-	printk(BIOS_ERR, "cs5536: %s: dev is %p\n", __func__, dev);
+	printk(ERROR, "cs5536: %s: dev is %p\n", __func__, dev);
 
 }
 
 static void cs5536_pci_dev_enable_resources(device_t dev)
 {
-	printk(BIOS_ERR, "cs5536: %s()\n", __func__);
+	printk(ERROR, "cs5536: %s()\n", __func__);
 	pci_dev_enable_resources(dev);
 	enable_childrens_resources(dev);
 }
Index: svn/src/southbridge/amd/cs5536/cs5536_early_smbus.c
===================================================================
--- svn.orig/src/southbridge/amd/cs5536/cs5536_early_smbus.c
+++ svn/src/southbridge/amd/cs5536/cs5536_early_smbus.c
@@ -53,7 +53,7 @@ static int smbus_wait(unsigned smbus_io_
 		if ((val & SMB_STS_SDAST) != 0)
 			break;
 		if (val & (SMB_STS_BER | SMB_STS_NEGACK)) {
-			/*printk(BIOS_DEBUG, "SMBUS WAIT ERROR %x\n", val); */
+			/*printk(DEBUG, "SMBUS WAIT ERROR %x\n", val); */
 			return SMBUS_ERROR;
 		}
 	} while (--loops);
@@ -123,7 +123,7 @@ static int smbus_send_slave_address(unsi
 	/* check for bus conflict and NACK */
 	val = inb(smbus_io_base + SMB_STS);
 	if (((val & SMB_STS_BER) != 0) || ((val & SMB_STS_NEGACK) != 0)) {
-		/* printk(BIOS_DEBUG, "SEND SLAVE ERROR (%x)\n", val); */
+		/* printk(DEBUG, "SEND SLAVE ERROR (%x)\n", val); */
 		return SMBUS_ERROR;
 	}
 	return smbus_wait(smbus_io_base);
Index: svn/src/southbridge/amd/cs5536/cs5536_ide.c
===================================================================
--- svn.orig/src/southbridge/amd/cs5536/cs5536_ide.c
+++ svn/src/southbridge/amd/cs5536/cs5536_ide.c
@@ -36,7 +36,7 @@ static void ide_init(struct device *dev)
 {
 	uint32_t ide_cfg;
 
-	printk(BIOS_SPEW, "cs5536_ide: %s\n", __func__);
+	printk(SPEW, "cs5536_ide: %s\n", __func__);
 	/* GPIO and IRQ setup are handled in the main chipset code. */
 
 	// Enable the channel and Post Write Buffer
@@ -49,7 +49,7 @@ static void ide_init(struct device *dev)
 static void ide_enable(struct device *dev)
 {
 
-	printk(BIOS_SPEW, "cs5536_ide: %s\n", __func__);
+	printk(SPEW, "cs5536_ide: %s\n", __func__);
 
 }
 
Index: svn/src/southbridge/amd/cs5536/cs5536_smbus2.h
===================================================================
--- svn.orig/src/southbridge/amd/cs5536/cs5536_smbus2.h
+++ svn/src/southbridge/amd/cs5536/cs5536_smbus2.h
@@ -78,7 +78,7 @@ static int smbus_wait(unsigned smbus_io_
 		if ((val & SMB_STS_SDAST) != 0)
 			break;
 		if (val & (SMB_STS_BER | SMB_STS_NEGACK)) {
-			printk(BIOS_DEBUG, "SMBUS WAIT ERROR %x\n", val);
+			printk(DEBUG, "SMBUS WAIT ERROR %x\n", val);
 			return SMBUS_ERROR;
 		}
 	} while (--loops);
@@ -171,7 +171,7 @@ static int smbus_send_slave_address(unsi
 	/* check for bus conflict and NACK */
 	val = inb(smbus_io_base + SMB_STS);
 	if (((val & SMB_STS_BER) != 0) || ((val & SMB_STS_NEGACK) != 0)) {
-		printk(BIOS_DEBUG, "SEND SLAVE ERROR (%x)\n", val);
+		printk(DEBUG, "SEND SLAVE ERROR (%x)\n", val);
 		return SMBUS_ERROR;
 	}
 	return smbus_wait(smbus_io_base);
@@ -250,7 +250,7 @@ static void _doread(unsigned smbus_io_ba
 	return;
 
       err:
-	printk(BIOS_DEBUG, "SMBUS READ ERROR (%d): %d\n", index, ret);
+	printk(DEBUG, "SMBUS READ ERROR (%d): %d\n", index, ret);
 }
 
 static unsigned char do_smbus_read_byte(unsigned smbus_io_base,
@@ -300,7 +300,7 @@ static int _dowrite(unsigned smbus_io_ba
 	return 0;
 
       err:
-	printk(BIOS_DEBUG, "SMBUS WRITE ERROR: %d\n", ret);
+	printk(DEBUG, "SMBUS WRITE ERROR: %d\n", ret);
 	return -1;
 }
 
Index: svn/src/southbridge/amd/rs690/rs690.c
===================================================================
--- svn.orig/src/southbridge/amd/rs690/rs690.c
+++ svn/src/southbridge/amd/rs690/rs690.c
@@ -129,7 +129,7 @@ void rs690_enable(device_t dev)
 	device_t nb_dev = 0, sb_dev = 0;
 	int dev_ind;
 
-	printk(BIOS_INFO, "rs690_enable: dev=%p, VID_DID=0x%x\n", dev, get_vid_did(dev));
+	printk(INFO, "rs690_enable: dev=%p, VID_DID=0x%x\n", dev, get_vid_did(dev));
 
 	nb_dev = dev_find_slot(0, PCI_DEVFN(0, 0));
 	if (!nb_dev) {
@@ -147,7 +147,7 @@ void rs690_enable(device_t dev)
 	dev_ind = dev->path.pci.devfn >> 3;
 	switch (dev_ind) {
 	case 0:		/* bus0, dev0, fun0; */
-		printk(BIOS_INFO, "Bus-0, Dev-0, Fun-0.\n");
+		printk(INFO, "Bus-0, Dev-0, Fun-0.\n");
 		enable_pcie_bar3(nb_dev);	/* PCIEMiscInit */
 		config_gpp_core(nb_dev, sb_dev);
 		rs690_gpp_sb_init(nb_dev, sb_dev, 8);
@@ -159,11 +159,11 @@ void rs690_enable(device_t dev)
 		break;
 
 	case 1:		/* bus0, dev1 */
-		printk(BIOS_INFO, "Bus-0, Dev-1, Fun-0.\n");
+		printk(INFO, "Bus-0, Dev-1, Fun-0.\n");
 		break;
 	case 2:		/* bus0, dev2,3, two GFX */
 	case 3:
-		printk(BIOS_INFO, "Bus-0, Dev-2,3, Fun-0. enable=%d\n", dev->enabled);
+		printk(INFO, "Bus-0, Dev-2,3, Fun-0. enable=%d\n", dev->enabled);
 		set_nbmisc_enable_bits(nb_dev, 0x0c, 1 << dev_ind,
 				       (dev->enabled ? 0 : 1) << dev_ind);
 		if (dev->enabled)
@@ -173,7 +173,7 @@ void rs690_enable(device_t dev)
 	case 5:
 	case 6:
 	case 7:
-		printk(BIOS_INFO, "Bus-0, Dev-4,5,6,7, Fun-0. enable=%d\n",
+		printk(INFO, "Bus-0, Dev-4,5,6,7, Fun-0. enable=%d\n",
 			    dev->enabled);
 		set_nbmisc_enable_bits(nb_dev, 0x0c, 1 << dev_ind,
 				       (dev->enabled ? 0 : 1) << dev_ind);
@@ -181,7 +181,7 @@ void rs690_enable(device_t dev)
 			rs690_gpp_sb_init(nb_dev, dev, dev_ind);
 		break;
 	case 8:		/* bus0, dev8, SB */
-		printk(BIOS_INFO, "Bus-0, Dev-8, Fun-0. enable=%d\n", dev->enabled);
+		printk(INFO, "Bus-0, Dev-8, Fun-0. enable=%d\n", dev->enabled);
 		set_nbmisc_enable_bits(nb_dev, 0x00, 1 << 6,
 				       (dev->enabled ? 1 : 0) << 6);
 		if (dev->enabled)
@@ -189,7 +189,7 @@ void rs690_enable(device_t dev)
 		disable_pcie_bar3(nb_dev);
 		break;
 	default:
-		printk(BIOS_DEBUG, "unknown dev: %s\n", dev_path(dev));
+		printk(DEBUG, "unknown dev: %s\n", dev_path(dev));
 	}
 }
 
Index: svn/src/southbridge/amd/rs690/rs690_cmn.c
===================================================================
--- svn.orig/src/southbridge/amd/rs690/rs690_cmn.c
+++ svn/src/southbridge/amd/rs690/rs690_cmn.c
@@ -50,7 +50,7 @@ u32 pci_ext_read_config32(device_t nb_de
 {
 	/*get BAR3 base address for nbcfg0x1c */
 	u32 addr = pci_read_config32(nb_dev, 0x1c) & ~0xF;
-	printk(BIOS_DEBUG, "addr=%x,bus=%x,devfn=%x\n", addr, dev->bus->secondary,
+	printk(DEBUG, "addr=%x,bus=%x,devfn=%x\n", addr, dev->bus->secondary,
 		     dev->path.pci.devfn);
 	addr |= dev->bus->secondary << 20 |	/* bus num */
 	    dev->path.pci.devfn << 12 | reg;
@@ -63,7 +63,7 @@ void pci_ext_write_config32(device_t nb_
 
 	/*get BAR3 base address for nbcfg0x1c */
 	u32 addr = pci_read_config32(nb_dev, 0x1c) & ~0xF;
-	/*printk(BIOS_DEBUG, "write: addr=%x,bus=%x,devfn=%x\n", addr, dev->bus->secondary,
+	/*printk(DEBUG, "write: addr=%x,bus=%x,devfn=%x\n", addr, dev->bus->secondary,
 		     dev->path.pci.devfn);*/
 	addr |= dev->bus->secondary << 20 |	/* bus num */
 	    dev->path.pci.devfn << 12 | reg_pos;
@@ -253,7 +253,7 @@ u8 PcieTrainPort(device_t nb_dev, device
 		mdelay(40);
 		udelay(200);
 		lc_state = nbpcie_p_read_index(dev, 0xa5);	/* lc_state */
-		printk(BIOS_DEBUG, "PcieLinkTraining port=%x:lc current state=%x\n",
+		printk(DEBUG, "PcieLinkTraining port=%x:lc current state=%x\n",
 			     port, lc_state);
 		current = lc_state & 0x3f;	/* get LC_CURRENT_STATE, bit0-5 */
 
@@ -274,7 +274,7 @@ u8 PcieTrainPort(device_t nb_dev, device
 			reg =
 			    pci_ext_read_config32(nb_dev, dev,
 						  PCIE_VC0_RESOURCE_STATUS);
-			printk(BIOS_DEBUG, "PcieTrainPort reg=0x%x\n", reg);
+			printk(DEBUG, "PcieTrainPort reg=0x%x\n", reg);
 			/* check bit1 */
 			if (reg & VC_NEGOTIATION_PENDING) {	/* bit1=1 means the link needs to be re-trained. */
 				/* set bit8=1, bit0-2=bit4-6 */
